## org.opencyc.cycagent.fipaos
Class FipaOsCommunityAdapter.IdleTask

    java.lang.Object
      |
      +--fipaos.agent.task.Task
            |
            +--org.opencyc.cycagent.fipaos.FipaOsCommunityAdapter.IdleTask

Enclosing class:
  FipaOsCommunityAdapter

public class FipaOsCommunityAdapter.IdleTask
extends fipaos.agent.task.Task

Provides an idle task which handles incomming messages which are not otherwise associated with an in-progress conversation.

Fields inherited from class fipaos.agent.task.Task
`_children, _lock, _owner, _tm`

Constructor Summary
`FipaOsCommunityAdapter.IdleTask()` Constructs a new IdleTask object.

Method Summary
`void` `doneFipaOsCommunityAdapter_AgreeInformTask(fipaos.agent.task.Task task)` Handles completion of an AgreePerform task.
`void` `handleRequest(fipaos.agent.conversation.Conversation conv)` Handles a new conversation whose first message is a request performative.
`protected void` `startTask()` Starts the IdleTask task.

Methods inherited from class fipaos.agent.task.Task

`DFSearchResults, done, done, doneDFSearchTask, errorDFSearchTask, forward, forward, getContext, getNewConversation, getState, handleAcceptProposal, handleAgree, handleCfp, handleConfirm, handleDisconfirm, handleFailure, handleInform, handleInformIf, handleInformRef, handleLateMessage, handleNotUnderstood, handleOther, handlePropagate, handlePropose, handleProxy, handleQueryIf, handleQueryRef, handleRefuse, handleRejectProposal, handleRequestWhen, handleRequestWhenever, handleSubscribe, handleUndeliverableMessage, newTask, newTask, newTask, newTask, newTask, newTask, newTask, newTask, notify, notifyDone, notifyError, notifyMessageFailure, notifyMessageForEndedConversation, notifyTimeout, searchDF, searchDF, searchDF, searchDF, searchDF, sendNotUnderstood, setContext, timeoutDFSearchTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FipaOsCommunityAdapter.IdleTask

    public FipaOsCommunityAdapter.IdleTask()

  Constructs a new IdleTask object.

Method Detail

### startTask

    protected void startTask()

  Starts the IdleTask task.
  Overrides:
    `startTask` in class `fipaos.agent.task.Task`

### handleRequest

    public void handleRequest(fipaos.agent.conversation.Conversation conv)

  Handles a new conversation whose first message is a request performative.
  Overrides:
    `handleRequest` in class `fipaos.agent.task.Task`
  Parameters:
    `conv` - the Request conversation

### doneFipaOsCommunityAdapter_AgreeInformTask

    public void doneFipaOsCommunityAdapter_AgreeInformTask(fipaos.agent.task.Task task)

  Handles completion of an AgreePerform task.